<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Editor</title>
    <style type="text/css">
        html, body, form, table
        {
            margin: 0;
            padding: 0;
            height: 100%;
            border: none;
            font-family: verdana;
        }
    </style>
</head>

<script type="text/javascript">
    var editorGet = null;
    function OnClientLoad(editor)
    {
        editorGet = editor;
        OnClientResized();
    }

    function SplitterLoaded(sender,args)
    {
        OnClientResized();
    }

    function OnClientResized(sender,args)
    {
        var pane = sender ? sender : $find("<%= uxEditorPane.ClientID %>");

        if(!pane || !editorGet) return;

        var editorWidth = parseInt(pane.get_width()) - 5;
        if(isNaN(editorWidth) || editorWidth < 0)
            editorWidth = 0;

        var editorHeight = parseInt(pane.get_height()) - 5;
        if(isNaN(editorHeight) || editorHeight < 0)
            editorHeight = 0;

        editorGet.setSize(editorWidth,editorHeight);
    }
</script>

<body style="background-color: #e7eaf0;">
    <form id="form1" runat="server" enctype="multipart/form-data">
    <asp:ScriptManager ID="ScriptManager" runat="server" />
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server">
    </telerik:RadStyleSheetManager>
    <telerik:RadAjaxPanel ID="rpMain" runat="server" EnableAJAX="false" Height="100%"
        Width="100%" LoadingPanelID="uxLoading">
        <table style="height: 60px; width: 100%" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 170px;">
                    Mailshot Code:
                </td>
                <td style="width: 266px;">
                    <asp:TextBox ID="uxID" ReadOnly="true" runat="server" Width="250"></asp:TextBox>
                </td>
                <td style="padding-left: 30px">
                    Template:
                    <asp:DropDownList Width="200px" ID="uxTemplateList" runat="server">
                    </asp:DropDownList>
                    <asp:Button ID="uxApplyTemplate" OnClientClick="return confirmTemplate();" UseSubmitBehavior="false"
                        runat="server" Text="Apply" />
                </td>
            </tr>
            <tr>
                <td style="width: 150px">
                    Name of Mailshot:
                </td>
                <td colspan="2">
                    <asp:TextBox ID="uxName" runat="server" Width="250">Mailshot Name</asp:TextBox>
                </td>
            </tr>
        </table>
        <telerik:RadSplitter ID="uxRadSplitter" runat="server" Height="100%" HeightOffset="120"
            Width="100%" OnClientLoaded="SplitterLoaded">
            <telerik:RadPane ID="uxEditorPane" runat="server" Height="100%" Scrolling="None"
                OnClientResized="OnClientResized">
                <telerik:RadEditor ID="uxEditor" OnClientLoad="OnClientLoad" runat="server" Skin="Office2007"
                    EditModes="All" ToolbarMode="Default" EnableResize="false" ContentFilters="IndentHTMLContent">
                    <Content></Content>
                </telerik:RadEditor>
            </telerik:RadPane>
            <telerik:RadSplitBar ID="RadSplitbar1" runat="server" EnableResize="false" CollapseMode="Backward">
            </telerik:RadSplitBar>
            <telerik:RadPane ID="uxImagesPane" runat="server" Width="250" Scrolling="Y">
                <div id="uxImages" style="width: 100%; text-align: center; vertical-align: middle;"
                    runat="server">
                </div>
            </telerik:RadPane>
        </telerik:RadSplitter>
        <table style="height: 60px; width: 100%;" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 55px;">
                    <asp:Button ID="uxSave" runat="server" Text="Save" />
                </td>
                <td style="width: 65px;">
                    <asp:Button ID="uxCancel" runat="server" Text="Cancel" />
                </td>
                <td style="text-align: center;">
                    <asp:Button runat="server" Text="Send Test Email" ID="uxSendMail" UseSubmitBehavior="false"
                        OnClientClick="return OpenMailMD();" />
                </td>
                <td style="width: 300px;" valign="middle">
                    <asp:FileUpload ID="uxFileUpload" Width="200px" runat="server" /><asp:Button ID="uxFileUploadButton"
                        runat="server" Text="Upload" />
                </td>
            </tr>
        </table>
    </telerik:RadAjaxPanel>
    </form>

    <script type="text/javascript">
        function confirmTemplate()
        {
            if(confirm('This action will replace the current solution with the selected template, would you like to continue?') == true)
            {
                __doPostBack('<%= uxApplyTemplate.ClientID %>','')
            }
            else
            {
                return false;
            }
        }


        function OpenMailMD()
        {
            var MyArgs = new Array();
            var WinSettings = "center:yes;resizable:no;dialogHeight:50px;dialogHide:yes;status: no; scroll: no; unadorned: yes";

            var MyArgs = window.showModalDialog("MDMailInput.aspx",MyArgs,WinSettings);
            MyArgs = typeof MyArgs != 'undefined' ? MyArgs : "";
            __doPostBack('<%= uxSendMail.ClientID %>',MyArgs);
        }
    </script>

</body>
</html>
